#pragma once
#include "Plugin.h"
class Effect : public Plugin
{
public:
	Effect();
	~Effect();

	template< typename PluginType >
	static PluginInstance createPlugin( struct PluginInfo infos );

	virtual FFResult render( ProcessOpenGLStruct* pGL ) override;
};

template< typename PluginType >
inline PluginInstance Effect::createPlugin( struct PluginInfo infos )
{
	return Plugin::createPlugin< PluginType >( infos, FFPluginType::FF_EFFECT );
}
